qtermwidget-devel-0.6.0-4.el7.x86_64.rpm


Advertisement

Description

qtermwidget-devel - Qt4 terminal widget - devel package

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename qtermwidget-devel-0.6.0-4.el7.x86_64.rpm
Package name qtermwidget-devel
Package version 0.6.0
Package release 4.el7
Package architecture x86_64
Package type rpm
Homepage https://github.com/qterminal/qtermwidget/
License GPLv2+
Maintainer -
Download size 14.08 KB
Installed size 22.52 KB
Development files for qtermwidget library.

Alternatives

Package Version Architecture Repository
qtermwidget-devel-0.14.1-3.el7.x86_64.rpm 0.14.1 x86_64 EPEL Testing
qtermwidget-devel - - -

Requires

Name Value
/usr/bin/pkg-config -
libqtermwidget4.so.0()(64bit) -
pkgconfig(QtCore) -
pkgconfig(QtXml) -
qtermwidget(x86-64) = 0.6.0-4.el7

Provides

Name Value
pkgconfig(qtermwidget4) = 0.6.0
qtermwidget-devel = 0.6.0-4.el7
qtermwidget-devel(x86-64) = 0.6.0-4.el7

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package qtermwidget-devel-0.6.0-4.el7.x86_64.rpm
Source Package qtermwidget-0.6.0-4.el7.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install qtermwidget-devel rpm package:
    # yum install qtermwidget-devel

Files

Path
/usr/include/qtermwidget4/Filter.h
/usr/include/qtermwidget4/qtermwidget.h
/usr/lib64/libqtermwidget4.so
/usr/lib64/pkgconfig/qtermwidget4.pc
/usr/share/cmake/qtermwidget4/qtermwidget4-config.cmake
/usr/share/cmake/qtermwidget4/qtermwidget4_use.cmake

Changelog

2016-02-04 - Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
2015-06-18 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
2015-04-10 - TI_Eugene <ti.eugene@gmail.com> - 0.6.0-2
- qt-virt-manager compatible patch added
2014-11-04 - TI_Eugene <ti.eugene@gmail.com> - 0.6.0-1
- Version bump
- qt5 packages added
2014-08-17 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
2014-06-08 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
2013-11-19 - TI_Eugene <ti.eugene@gmail.com> - 0.4.0-6
- Next git snapshot
- Source0 URL changed
- patch removed
2013-08-04 - Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
2013-04-23 - TI_Eugene <ti.eugene@gmail.com> - 0.4.0-4
- _isa added to -devel Requires.
2013-04-18 - TI_Eugene <ti.eugene@gmail.com> - 0.4.0-3
- all cmake flags removed. "
CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic}" ; export CFLAGS ; 
CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic}" ; export CXXFLAGS ; 
FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic -I/usr/lib64/gfortran/modules}" ; export FFLAGS ; 
FCFLAGS="${FCFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches   -m64 -mtune=generic -I/usr/lib64/gfortran/modules}" ; export FCFLAGS ; 
LDFLAGS="${LDFLAGS:--Wl,-z,relro }" ; export LDFLAGS ; 
/usr/bin/cmake \
-DCMAKE_C_FLAGS_RELEASE:STRING="-DNDEBUG" \
-DCMAKE_CXX_FLAGS_RELEASE:STRING="-DNDEBUG" \
-DCMAKE_Fortran_FLAGS_RELEASE:STRING="-DNDEBUG" \
-DCMAKE_VERBOSE_MAKEFILE:BOOL=ON \
-DCMAKE_INSTALL_PREFIX:PATH=/usr \
-DINCLUDE_INSTALL_DIR:PATH=/usr/include \
-DLIB_INSTALL_DIR:PATH=/usr/lib64 \
-DSYSCONF_INSTALL_DIR:PATH=/etc \
-DSHARE_INSTALL_PREFIX:PATH=/usr/share \
-DLIB_SUFFIX=64 \
-DBUILD_SHARED_LIBS:BOOL=ON .." is the best.

See Also

Package Description
qtermwidget-qt5-0.6.0-4.el7.x86_64.rpm Qt4 terminal widget
qtermwidget-qt5-devel-0.6.0-4.el7.x86_64.rpm Qt5 terminal widget - devel package
qtkeychain-0.7.0-1.el7.x86_64.rpm A password store library
qtkeychain-devel-0.7.0-1.el7.x86_64.rpm Development files for qtkeychain
qtkeychain-qt5-0.7.0-1.el7.x86_64.rpm A password store library
qtkeychain-qt5-devel-0.7.0-1.el7.x86_64.rpm Development files for qtkeychain-qt5
qtlockedfile-2.4-20.20150629git5a07df5.el7.x86_64.rpm QFile extension with advisory locking functions
qtlockedfile-devel-2.4-20.20150629git5a07df5.el7.x86_64.rpm Development files for qtlockedfile
qtlockedfile-qt5-2.4-20.20150629git5a07df5.el7.x86_64.rpm QFile extension with advisory locking functions (Qt5)
qtlockedfile-qt5-devel-2.4-20.20150629git5a07df5.el7.x86_64.rpm Development files for qtlockedfile-qt5
qtools-0.4.0-1.el7.noarch.rpm Command-line tools for AMQP
qtpass-1.2.3-1.el7.x86_64.rpm Cross-platform GUI for pass
qtscriptbindings-0.2.0-5.el7.x86_64.rpm Qt bindings for Qt Script
qtscriptgenerator-0.2.0-5.el7.x86_64.rpm A tool to generate Qt bindings for Qt Script
qtsingleapplication-2.6.1-28.el7.x86_64.rpm Qt library to start applications only once per user
Advertisement
Advertisement